com.io7m.r2.core

## Class R2TransformMatrix4x4

- java.lang.Object
- - com.io7m.r2.core.R2TransformMatrix4x4

- All Implemented Interfaces:
    com.io7m.jtensors.Matrix4x4FType, com.io7m.jtensors.MatrixReadable2x2FType, com.io7m.jtensors.MatrixReadable3x3FType, com.io7m.jtensors.MatrixReadable4x4FType, com.io7m.jtensors.MatrixReadableFType, com.io7m.jtensors.MatrixWritable2x2FType, com.io7m.jtensors.MatrixWritable3x3FType, com.io7m.jtensors.MatrixWritable4x4FType, com.io7m.jtensors.MatrixWritableFType, com.io7m.jtensors.parameterized.PMatrix4x4FType<R2SpaceObjectType,R2SpaceWorldType>, com.io7m.jtensors.parameterized.PMatrixReadable4x4FType<R2SpaceObjectType,R2SpaceWorldType>, com.io7m.jtensors.parameterized.PMatrixReadableFType<R2SpaceObjectType,R2SpaceWorldType>, com.io7m.jtensors.parameterized.PMatrixWritable4x4FType<R2SpaceObjectType,R2SpaceWorldType>, com.io7m.jtensors.parameterized.PMatrixWritableFType<R2SpaceObjectType,R2SpaceWorldType>, R2TransformNonOrthogonalReadableType, R2TransformReadableType, R2TransformType

      public final class R2TransformMatrix4x4
      extends Object
      implements R2TransformNonOrthogonalReadableType, com.io7m.jtensors.parameterized.PMatrix4x4FType<R2SpaceObjectType,R2SpaceWorldType>, R2TransformType

  A simple 4x4 matrix transform.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `float` | `getR0C0F()`
    `float` | `getR0C1F()`
    `float` | `getR0C2F()`
    `float` | `getR0C3F()`
    `float` | `getR1C0F()`
    `float` | `getR1C1F()`
    `float` | `getR1C2F()`
    `float` | `getR1C3F()`
    `float` | `getR2C0F()`
    `float` | `getR2C1F()`
    `float` | `getR2C2F()`
    `float` | `getR2C3F()`
    `float` | `getR3C0F()`
    `float` | `getR3C1F()`
    `float` | `getR3C2F()`
    `float` | `getR3C3F()`
    `<V extends com.io7m.jtensors.VectorWritable2FType> void` | `getRow2F(int row, V out)`
    `<V extends com.io7m.jtensors.VectorWritable2FType> void` | `getRow2FUnsafe(int row, V out)`
    `<V extends com.io7m.jtensors.VectorWritable3FType> void` | `getRow3F(int row, V out)`
    `<V extends com.io7m.jtensors.VectorWritable3FType> void` | `getRow3FUnsafe(int row, V out)`
    `<V extends com.io7m.jtensors.VectorWritable4FType> void` | `getRow4F(int row, V out)`
    `<V extends com.io7m.jtensors.VectorWritable4FType> void` | `getRow4FUnsafe(int row, V out)`
    `float` | `getRowColumnF(int row, int column)`
    `int` | `hashCode()`
    `static R2TransformMatrix4x4` | `newIdentityTransform()`
    `void` | `setR0C0F(float x)`
    `void` | `setR0C1F(float x)`
    `void` | `setR0C2F(float x)`
    `void` | `setR0C3F(float x)`
    `void` | `setR1C0F(float x)`
    `void` | `setR1C1F(float x)`
    `void` | `setR1C2F(float x)`
    `void` | `setR1C3F(float x)`
    `void` | `setR2C0F(float x)`
    `void` | `setR2C1F(float x)`
    `void` | `setR2C2F(float x)`
    `void` | `setR2C3F(float x)`
    `void` | `setR3C0F(float x)`
    `void` | `setR3C1F(float x)`
    `void` | `setR3C2F(float x)`
    `void` | `setR3C3F(float x)`
    `void` | `setRow0With4F(com.io7m.jtensors.VectorReadable4FType v)`
    `void` | `setRow1With4F(com.io7m.jtensors.VectorReadable4FType v)`
    `void` | `setRow2With4F(com.io7m.jtensors.VectorReadable4FType v)`
    `void` | `setRow3With4F(com.io7m.jtensors.VectorReadable4FType v)`
    `void` | `setRowColumnF(int row, int column, float value)`
    `void` | `setRowWith2F(int row, com.io7m.jtensors.VectorReadable2FType v)`
    `void` | `setRowWith2FUnsafe(int row, com.io7m.jtensors.VectorReadable2FType v)`
    `void` | `setRowWith3F(int row, com.io7m.jtensors.VectorReadable3FType v)`
    `void` | `setRowWith3FUnsafe(int row, com.io7m.jtensors.VectorReadable3FType v)`
    `void` | `setRowWith4F(int row, com.io7m.jtensors.VectorReadable4FType v)`
    `void` | `setRowWith4FUnsafe(int row, com.io7m.jtensors.VectorReadable4FType v)`
    `String` | `toString()`
    `R2WatchableType<R2TransformReadableType>` | `transformGetWatchable()`
    `void` | `transformMakeMatrix4x4F(R2TransformContextType c, com.io7m.jtensors.parameterized.PMatrixWritable4x4FType<R2SpaceObjectType,R2SpaceWorldType> m)` Produce a 4x4 matrix for the current transformation, writing the resulting matrix to `m`.
    `R2WatchableType<R2TransformNonOrthogonalReadableType>` | `transformNonOrthogonalGetWatchable()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newIdentityTransform

          public static R2TransformMatrix4x4 newIdentityTransform()

      Returns:
        A new identity transform

    - #### setRow0With4F

          public void setRow0With4F(com.io7m.jtensors.VectorReadable4FType v)

      Specified by:
        `setRow0With4F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### setRow1With4F

          public void setRow1With4F(com.io7m.jtensors.VectorReadable4FType v)

      Specified by:
        `setRow1With4F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### setRow2With4F

          public void setRow2With4F(com.io7m.jtensors.VectorReadable4FType v)

      Specified by:
        `setRow2With4F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### setRow3With4F

          public void setRow3With4F(com.io7m.jtensors.VectorReadable4FType v)

      Specified by:
        `setRow3With4F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### setRowWith4F

          public void setRowWith4F(int row,
                                   com.io7m.jtensors.VectorReadable4FType v)

      Specified by:
        `setRowWith4F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### setRowWith4FUnsafe

          public void setRowWith4FUnsafe(int row,
                                         com.io7m.jtensors.VectorReadable4FType v)

      Specified by:
        `setRowWith4FUnsafe` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### setRowWith3F

          public void setRowWith3F(int row,
                                   com.io7m.jtensors.VectorReadable3FType v)

      Specified by:
        `setRowWith3F` in interface `com.io7m.jtensors.MatrixWritable3x3FType`

    - #### setRowWith3FUnsafe

          public void setRowWith3FUnsafe(int row,
                                         com.io7m.jtensors.VectorReadable3FType v)

      Specified by:
        `setRowWith3FUnsafe` in interface `com.io7m.jtensors.MatrixWritable3x3FType`

    - #### setRowWith2F

          public void setRowWith2F(int row,
                                   com.io7m.jtensors.VectorReadable2FType v)

      Specified by:
        `setRowWith2F` in interface `com.io7m.jtensors.MatrixWritable2x2FType`

    - #### setRowWith2FUnsafe

          public void setRowWith2FUnsafe(int row,
                                         com.io7m.jtensors.VectorReadable2FType v)

      Specified by:
        `setRowWith2FUnsafe` in interface `com.io7m.jtensors.MatrixWritable2x2FType`

    - #### setRowColumnF

          public void setRowColumnF(int row,
                                    int column,
                                    float value)

      Specified by:
        `setRowColumnF` in interface `com.io7m.jtensors.MatrixWritableFType`

    - #### getRowColumnF

          public float getRowColumnF(int row,
                                     int column)

      Specified by:
        `getRowColumnF` in interface `com.io7m.jtensors.MatrixReadableFType`

    - #### getR0C3F

          public float getR0C3F()

      Specified by:
        `getR0C3F` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### setR0C3F

          public void setR0C3F(float x)

      Specified by:
        `setR0C3F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### getR1C3F

          public float getR1C3F()

      Specified by:
        `getR1C3F` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### setR1C3F

          public void setR1C3F(float x)

      Specified by:
        `setR1C3F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### getR2C3F

          public float getR2C3F()

      Specified by:
        `getR2C3F` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### setR2C3F

          public void setR2C3F(float x)

      Specified by:
        `setR2C3F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### getR3C0F

          public float getR3C0F()

      Specified by:
        `getR3C0F` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### setR3C0F

          public void setR3C0F(float x)

      Specified by:
        `setR3C0F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### getR3C1F

          public float getR3C1F()

      Specified by:
        `getR3C1F` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### setR3C1F

          public void setR3C1F(float x)

      Specified by:
        `setR3C1F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### getR3C2F

          public float getR3C2F()

      Specified by:
        `getR3C2F` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### setR3C2F

          public void setR3C2F(float x)

      Specified by:
        `setR3C2F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### getR3C3F

          public float getR3C3F()

      Specified by:
        `getR3C3F` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### setR3C3F

          public void setR3C3F(float x)

      Specified by:
        `setR3C3F` in interface `com.io7m.jtensors.MatrixWritable4x4FType`

    - #### getRow4F

          public <V extends com.io7m.jtensors.VectorWritable4FType> void getRow4F(int row,
                                                                                  V out)

      Specified by:
        `getRow4F` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### getRow4FUnsafe

          public <V extends com.io7m.jtensors.VectorWritable4FType> void getRow4FUnsafe(int row,
                                                                                        V out)

      Specified by:
        `getRow4FUnsafe` in interface `com.io7m.jtensors.MatrixReadable4x4FType`

    - #### getR0C2F

          public float getR0C2F()

      Specified by:
        `getR0C2F` in interface `com.io7m.jtensors.MatrixReadable3x3FType`

    - #### setR0C2F

          public void setR0C2F(float x)

      Specified by:
        `setR0C2F` in interface `com.io7m.jtensors.MatrixWritable3x3FType`

    - #### getR1C2F

          public float getR1C2F()

      Specified by:
        `getR1C2F` in interface `com.io7m.jtensors.MatrixReadable3x3FType`

    - #### setR1C2F

          public void setR1C2F(float x)

      Specified by:
        `setR1C2F` in interface `com.io7m.jtensors.MatrixWritable3x3FType`

    - #### getR2C0F

          public float getR2C0F()

      Specified by:
        `getR2C0F` in interface `com.io7m.jtensors.MatrixReadable3x3FType`

    - #### setR2C0F

          public void setR2C0F(float x)

      Specified by:
        `setR2C0F` in interface `com.io7m.jtensors.MatrixWritable3x3FType`

    - #### getR2C1F

          public float getR2C1F()

      Specified by:
        `getR2C1F` in interface `com.io7m.jtensors.MatrixReadable3x3FType`

    - #### setR2C1F

          public void setR2C1F(float x)

      Specified by:
        `setR2C1F` in interface `com.io7m.jtensors.MatrixWritable3x3FType`

    - #### getR2C2F

          public float getR2C2F()

      Specified by:
        `getR2C2F` in interface `com.io7m.jtensors.MatrixReadable3x3FType`

    - #### setR2C2F

          public void setR2C2F(float x)

      Specified by:
        `setR2C2F` in interface `com.io7m.jtensors.MatrixWritable3x3FType`

    - #### getRow3F

          public <V extends com.io7m.jtensors.VectorWritable3FType> void getRow3F(int row,
                                                                                  V out)

      Specified by:
        `getRow3F` in interface `com.io7m.jtensors.MatrixReadable3x3FType`

    - #### getRow3FUnsafe

          public <V extends com.io7m.jtensors.VectorWritable3FType> void getRow3FUnsafe(int row,
                                                                                        V out)

      Specified by:
        `getRow3FUnsafe` in interface `com.io7m.jtensors.MatrixReadable3x3FType`

    - #### getR0C0F

          public float getR0C0F()

      Specified by:
        `getR0C0F` in interface `com.io7m.jtensors.MatrixReadable2x2FType`

    - #### setR0C0F

          public void setR0C0F(float x)

      Specified by:
        `setR0C0F` in interface `com.io7m.jtensors.MatrixWritable2x2FType`

    - #### getR0C1F

          public float getR0C1F()

      Specified by:
        `getR0C1F` in interface `com.io7m.jtensors.MatrixReadable2x2FType`

    - #### setR0C1F

          public void setR0C1F(float x)

      Specified by:
        `setR0C1F` in interface `com.io7m.jtensors.MatrixWritable2x2FType`

    - #### getR1C0F

          public float getR1C0F()

      Specified by:
        `getR1C0F` in interface `com.io7m.jtensors.MatrixReadable2x2FType`

    - #### setR1C0F

          public void setR1C0F(float x)

      Specified by:
        `setR1C0F` in interface `com.io7m.jtensors.MatrixWritable2x2FType`

    - #### getR1C1F

          public float getR1C1F()

      Specified by:
        `getR1C1F` in interface `com.io7m.jtensors.MatrixReadable2x2FType`

    - #### setR1C1F

          public void setR1C1F(float x)

      Specified by:
        `setR1C1F` in interface `com.io7m.jtensors.MatrixWritable2x2FType`

    - #### getRow2F

          public <V extends com.io7m.jtensors.VectorWritable2FType> void getRow2F(int row,
                                                                                  V out)

      Specified by:
        `getRow2F` in interface `com.io7m.jtensors.MatrixReadable2x2FType`

    - #### getRow2FUnsafe

          public <V extends com.io7m.jtensors.VectorWritable2FType> void getRow2FUnsafe(int row,
                                                                                        V out)

      Specified by:
        `getRow2FUnsafe` in interface `com.io7m.jtensors.MatrixReadable2x2FType`

    - #### transformMakeMatrix4x4F

          public void transformMakeMatrix4x4F(R2TransformContextType c,
                                              com.io7m.jtensors.parameterized.PMatrixWritable4x4FType<R2SpaceObjectType,R2SpaceWorldType> m)

      Description copied from interface: `R2TransformReadableType`
      Produce a 4x4 matrix for the current transformation, writing the resulting matrix to `m`.
      Specified by:
        `transformMakeMatrix4x4F` in interface `R2TransformReadableType`
      Parameters:
        `c` - The current transform context
        `m` - The matrix to which values will be written

    - #### transformGetWatchable

          public R2WatchableType<R2TransformReadableType> transformGetWatchable()

      Specified by:
        `transformGetWatchable` in interface `R2TransformReadableType`
      Returns:
        The watchable value for this transform

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### transformNonOrthogonalGetWatchable

          public R2WatchableType<R2TransformNonOrthogonalReadableType> transformNonOrthogonalGetWatchable()

      Specified by:
        `transformNonOrthogonalGetWatchable` in interface `R2TransformNonOrthogonalReadableType`
      Returns:
        The watchable value for this transform

Copyright © 2017 <code@io7m.com> http://io7m.com